Error in Setting up the development environment

https://docs.plone.org/develop/coredev/docs/intro.html

I am following this link for setting Up the Development Environment.
But bin/buildout -v is giving this error->
:

Traceback (most recent call last):
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 154, in save_modules
yield saved
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 195, in setup_context
yield
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 250, in run_setup
_execfile(setup_script, ns)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 44, in _execfile
code = compile(script, filename, 'exec')
File "/tmp/easy_install-trcf6y0s/zope.testing-3.9.7/setup.py", line 37
except ImportError, e:
^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "", line 1, in
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 2312, in main
**kw
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/init.py", line 129, in setup
return distutils.core.setup(**attrs)
File "/usr/lib/python3.5/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib/python3.5/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
File "/usr/lib/python3.5/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 412, in run
self.easy_install(spec, not self.no_deps)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 654, in easy_install
return self.install_item(None, spec, tmpdir, deps, True)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 699, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 884, in install_eggs
return self.build_and_install(setup_script, setup_base)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 1152, in build_and_install
self.run_setup(setup_script, setup_base, args)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/command/easy_install.py", line 1138, in run_setup
run_setup(setup_script, args)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 253, in run_setup
raise
File "/usr/lib/python3.5/contextlib.py", line 77, in exit
self.gen.throw(type, value, traceback)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 195, in setup_context
yield
File "/usr/lib/python3.5/contextlib.py", line 77, in exit
self.gen.throw(type, value, traceback)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 166, in save_modules
saved_exc.resume()
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 141, in resume
six.reraise(type, exc, self._tb)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/_vendor/six.py", line 685, in reraise
raise value.with_traceback(tb)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 154, in save_modules
yield saved
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 195, in setup_context
yield
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 250, in run_setup
_execfile(setup_script, ns)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/setuptools/sandbox.py", line 44, in _execfile
code = compile(script, filename, 'exec')
File "/tmp/easy_install-trcf6y0s/zope.testing-3.9.7/setup.py", line 37
except ImportError, e:
^
SyntaxError: invalid syntax
An error occurred when trying to install /tmp/tmpqkhec6vyget_dist/zope.testing-3.9.7.tar.gz. Look above this message for any errors that were output by easy_install.
While:
Installing.
Getting section themepreview.
Initializing section themepreview.
Getting option themepreview:eggs.
Getting section test.
Initializing section test.
Installing recipe collective.xmltestreport.
Getting distribution for 'zope.testing==3.9.7'.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 2127, in main
getattr(buildout, command)(args)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 681, in install
[self[part]['recipe'] for part in install_parts]
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 681, in
[self[part]['recipe'] for part in install_parts]
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1278, in getitem
options._initialize()
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1376, in _initialize
self._dosub(k, v)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1431, in _dosub
v = '$$'.join([self._sub(s, seen) for s in v.split('$$')])
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1431, in
v = '$$'.join([self._sub(s, seen) for s in v.split('$$')])
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1495, in _sub
v = self.buildout[section].get(option, None, seen)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1278, in getitem
options._initialize()
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1386, in _initialize
self.initialize()
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1392, in initialize
recipe_class = _install_and_load(reqs, 'zc.buildout', entry, buildout)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/buildout.py", line 1342, in _install_and_load
allow_hosts=buildout._allow_hosts
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/easy_install.py", line 924, in install
return installer.install(specs, working_set)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/easy_install.py", line 726, in install
for dist in self._get_dist(req, ws):
File "/home/uwais/buildouts/plone5devel/eggs/plone.versioncheck-1.6.10-py3.5.egg/plone/versioncheck/tracking.py", line 24, in get_dist
dists = old_get_dist(self, requirement, ags, **kw)
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/easy_install.py", line 570, in _get_dist
dists = [_move_to_eggs_dir_and_compile(dist, self._dest)]
File "/home/uwais/buildouts/plone5devpy/lib/python3.5/site-packages/zc/buildout/easy_install.py", line 1707, in _move_to_eggs_dir_and_compile
[tmp_loc] = glob.glob(os.path.join(tmp_dest, '
'))
ValueError: not enough values to unpack (expected 1, got 0)

Please provide more of the traceback

What is your exact Plone version? You are using Python 3.5.
Python 3 only works with Zope 5.2 or higher. And you want to use Python 3.6 or 3.7. Python 3.5 is old.

I tried Plone 5.2.2 with python3.7 and python2.7, and Plone 5.2.1 with python3.7. No one works.

The document referred in this thread is for the development of core Plone features and may be out of date. If you want to develop a web portal using Plone, try Plonecli, a command line executable that can build Plone packages from templates. For more details read the docs from: https://github.com/plone/plonecli

Plone Foundation Code of Conduct